<?xml version="1.0"?>
<!-- This file is protected by Copyright. Please refer to the COPYRIGHT file
     distributed with this source distribution.

     This file is part of OpenCPI <http://www.opencpi.org>

     OpenCPI is free software: you can redistribute it and/or modify it under
     the terms of the GNU Lesser General Public License as published by the Free
     Software Foundation, either version 3 of the License, or (at your option)
     any later version.

     OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
     more details.

     You should have received a copy of the GNU Lesser General Public License
     along with this program. If not, see <http://www.gnu.org/licenses/>. -->
<build>
  <configuration id="0">
    <parameter name="data_width" value="8"/>
    <parameter name="data_depth" value="16384"/>
    <parameter name="message_depth" value="512"/>
    <parameter name="store_all_controls" value="false"/>
  </configuration>
  <configuration id="1">
    <parameter name="data_width" value="16"/>
    <parameter name="data_depth" value="16384"/>
    <parameter name="message_depth" value="512"/>
    <parameter name="store_all_controls" value="false"/>
  </configuration>
  <configuration id="2">
    <parameter name="data_width" value="32"/>
    <parameter name="data_depth" value="16384"/>
    <parameter name="message_depth" value="512"/>
    <parameter name="store_all_controls" value="false"/>
  </configuration>
  <configuration id="3">
    <parameter name="data_width" value="16"/>
    <parameter name="data_depth" value="8192"/>
    <parameter name="message_depth" value="512"/>
    <parameter name="store_all_controls" value="false"/>
  </configuration>
  <configuration id="4">
    <parameter name="data_width" value="16"/>
    <parameter name="data_depth" value="16000"/>
    <parameter name="message_depth" value="512"/>
    <parameter name="store_all_controls" value="false"/>
  </configuration>
  <configuration id="5">
    <parameter name="data_width" value="16"/>
    <parameter name="data_depth" value="32000"/>
    <parameter name="message_depth" value="512"/>
    <parameter name="store_all_controls" value="false"/>
  </configuration>
  <configuration id="6">
    <parameter name="data_width" value="16"/>
    <parameter name="data_depth" value="16384"/>
    <parameter name="message_depth" value="1"/>
    <parameter name="store_all_controls" value="false"/>
  </configuration>
  <configuration id="7">
    <parameter name="data_width" value="16"/>
    <parameter name="data_depth" value="16384"/>
    <parameter name="message_depth" value="2"/>
    <parameter name="store_all_controls" value="false"/>
  </configuration>
  <configuration id="8">
    <parameter name="data_width" value="16"/>
    <parameter name="data_depth" value="16384"/>
    <parameter name="message_depth" value="100"/>
    <parameter name="store_all_controls" value="false"/>
  </configuration>
  <configuration id="9">
    <parameter name="data_width" value="16"/>
    <parameter name="data_depth" value="16384"/>
    <parameter name="message_depth" value="512"/>
    <parameter name="store_all_controls" value="true"/>
  </configuration>
  <configuration id="10">
    <parameter name="data_width" value="64"/>
    <parameter name="data_depth" value="8192"/>
    <parameter name="message_depth" value="1"/>
    <parameter name="store_all_controls" value="false"/>
  </configuration>
</build>
